Subject: Re: [RFC PATCH] platform: Faciliatate the creation of pseduo-platform busses

From: Greg KH <[email-masked]>
Date: Fri, 6 Aug 2010 16:46:35 -0700

On Fri, Aug 06, 2010 at 09:12:27AM -0600, Grant Likely wrote:
> On Fri, Aug 6, 2010 at 8:27 AM, Greg KH <[email-masked]> wrote:
> > On Thu, Aug 05, 2010 at 04:59:35PM -0600, Grant Likely wrote:
> >> (On that point Greg, what is the reason for even having the
> >> /sys/devices/platform/ parent?  Why not just let the platform devices
> >> sit at the root of the device tree?  In the OF case (granted, I'm
> >> biased) all of the platform_device registrations reflect the actual
> >> device hierarchy expressed in the device tree data.)
> >
> > If we sat them at the "root", there would be a bunch of them there.  I
> > don't know, we could drop the parent, I guess whoever created the
> > platform device oh so long ago, decided that it would look nicer to be
> > in this type of structure.
> 
> Personally I'd rather see a meaningful structure used here.  Maybe
> having them all in the root will encourage people to find realistic
> parents for their platform devices.  :-)

That would be nice, but take your "standard" PC today:
	> ls /sys/devices/platform/
	Fixed MDIO bus.0  i8042  pcspkr  power  serial8250  uevent vesafb.0

There are tty devices below the serial port, which is nice to see, but
the others?  I don't know what type of bus they would be on, do you?

> Why don't I float a patch to remove this and see if anybody freaks
> out.  Should I wrap it with a CONFIG_ so that it can be configurable
> for a release or to, or just make it unconditional?

If you can figure out a structure for the desktop/server machines, sure,
I say just always enable it :)

thanks,

greg k-h